# FoundationClasses
TKernel
NCollection

# NCollection_IndexedMap< TheKeyType >::Iterator Class Reference

`#include <NCollection_IndexedMap.hxx>`

Inheritance diagram for NCollection_IndexedMap< TheKeyType >::Iterator:

[legend]

## Public Member Functions

| Iterator (void)
| Empty constructor.
| Iterator (const NCollection_IndexedMap &theMap)
| Constructor.
virtual Standard_Boolean | More (void) const
| Query if the end of collection is reached by iterator.
virtual void | Next (void)
| Make a step along the collection.
virtual const TheKeyType & | Value (void) const
| Value access.
virtual TheKeyType & | ChangeValue (void) const
| Value change access denied - use Substitute.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Operator new for allocating iterators.

## Private Attributes

NCollection_IndexedMap * | myMap
Standard_Integer | myIndex

### template<class TheKeyType>
class NCollection_IndexedMap< TheKeyType >::Iterator

## Constructor & Destructor Documentation

template<class TheKeyType>
NCollection_IndexedMap< TheKeyType >::Iterator::Iterator | ( | void |  | ) | `[inline]`

| Reimplemented from NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType>
NCollection_IndexedMap< TheKeyType >::Iterator::Iterator | ( | const NCollection_IndexedMap & | theMap | ) | `[inline]`

## Member Function Documentation

template<class TheKeyType>
virtual TheKeyType& NCollection_IndexedMap< TheKeyType >::Iterator::ChangeValue | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType>
virtual Standard_Boolean NCollection_IndexedMap< TheKeyType >::Iterator::More | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType>
virtual void NCollection_IndexedMap< TheKeyType >::Iterator::Next | ( | void |  | ) | `[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType>
void* NCollection_IndexedMap< TheKeyType >::Iterator::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

template<class TheKeyType>
virtual const TheKeyType& NCollection_IndexedMap< TheKeyType >::Iterator::Value | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

## Field Documentation

template<class TheKeyType>
Standard_Integer NCollection_IndexedMap< TheKeyType >::Iterator::myIndex `[private]`

template<class TheKeyType>
NCollection_IndexedMap* NCollection_IndexedMap< TheKeyType >::Iterator::myMap `[private]`

The documentation for this class was generated from the following file:

- NCollection_IndexedMap.hxx